small pixel drawing of a pufferfish dotfiles

replace jira-fuzzel, move to zora, correct conf
Jes Olson j3s@c3f.net
Tue, 21 Jun 2022 17:20:10 -0500
commit

8052ed0622af5524be9acb451d072680bb3c5ce0

parent

f4501cbfeba0668371f8f39b0d3bdb7218209ed1

5 files changed, 28 insertions(+), 12 deletions(-)

jump to
M .config/sway/config.config/sway/config

@@ -48,8 +48,8 @@ bindsym $mod+Shift+q kill

bindsym Delete exec makoctl dismiss bindsym $mod+Delete exec makoctl dismiss --all bindsym Mod1+Shift+Return Return -bindsym $mod+d exec fuzzel -bindsym $mod+Shift+p exec --no-startup-id pa-fuzzel +bindsym $mod+d exec bemenu-run -b +bindsym $mod+Shift+p exec --no-startup-id pa-bemenu bindsym $mod+Shift+c reload bindsym $mod+Shift+e exec swaynag -t warning -m 'You pressed the exit shortcut. Do you really want to exit sway? This will end your Wayland session.' -b 'Yes, exit sway' 'swaymsg exit'
M .config/sway/zora.config/sway/zora

@@ -12,7 +12,7 @@

for_window [class="Firefox"] inhibit_idle fullscreen for_window [class="Chromium"] inhibit_idle fullscreen -bindsym $mod+Shift+i exec jira-fuzzel +bindsym $mod+Shift+i exec jira-bemenu bindsym $mod+Prior exec vpn bindsym $mod+Next exec vpn kill
D bin/jira-fuzzel

@@ -1,9 +0,0 @@

-#!/bin/sh -# -# this script launches fuzzel, takes a jira -# ticket, and opens it - -# upcase because jira wants that i guess -jira_id=$(printf "" | fuzzel -d | tr '[a-z]' '[A-Z]') - -xdg-open "https://jira.internal.digitalocean.com/browse/$jira_id"
A bin/pa-bemenu

@@ -0,0 +1,15 @@

+#!/bin/sh +# +# prompt for a password via bemenu +# then type the selected password +# +# deps: +# - wtype +# - bemenu +# - pa + +cd "${PA_DIR:-$HOME/.local/share/pa}" +password_files="$(find * -type f | grep -v '/.git')" +password=$(printf '%s\n' "$password_files" | sed 's/.age//' | bemenu -b "$@") + +pa show "$password" | head -n 1 | tr -d '\n' | wtype -
A bin/zora/jira-bemenu

@@ -0,0 +1,10 @@

+#!/bin/sh -e +# +# this script launches fuzzel, takes a jira +# ticket, and opens it + +# upcase because jira wants that i guess +jira_id=$(printf "" | bemenu -b | tr '[a-z]' '[A-Z]') +[ "$jira_id" = "" ] && exit 1 + +xdg-open "https://jira.internal.digitalocean.com/browse/$jira_id"